.tyui-input-group {
  position: relative;
}

.tyui-input-group--success::before,
.tyui-input-group--warning::before,
.tyui-input-group--error::before
{
  background-position: 0 0;
  background-repeat: no-repeat;
  background-size: var(--border-width) 100%;
  bottom: 0;
  content: "";
  display: block;
  left: -.5rem;
  pointer-events: none;
  position: absolute;
  right: -.5rem;
  top: 0;
}

.tyui-input-group {
  margin-bottom: 1.5rem;
}

.tyui-label {
  display: block;
}

.tyui-label+.tyui-input,
.tyui-label+.tyui-select
{
  margin-top: .5rem;
}

.tyui-hint-text {
  display: block;
  font-size: .75rem;
  line-height: 1.25rem;
  margin-top: .25rem;
  color: var(--text-hint);
}

.tyui-form-message {
  align-items: center;
  display: flex;
  flex-direction: row;
  font-size: .75rem;
  line-height: 1.25rem;
  margin-bottom: 0;
  margin-top: .5rem;
}

.tyui-input-group--success::before {
  background-image: linear-gradient(0deg, var(--background-action-success), var(--background-action-success));
}

.tyui-input-group--warning::before {
  background-image: linear-gradient(0deg, var(--background-action-warning), var(--background-action-warning));
}

.tyui-input-group--error::before {
  background-image: linear-gradient(0deg, var(--background-action-error), var(--background-action-error));
}

.tyui-input-group--success .tyui-label,
.tyui-input-group--success .tyui-label .tyui-hint-text {
  color: var(--text-success);
}

.tyui-input-group--warning .tyui-label,
.tyui-input-group--warning .tyui-label .tyui-hint-text {
  color: var(--text-warning);
}

.tyui-input-group--error .tyui-label,
.tyui-input-group--error .tyui-label .tyui-hint-text {
  color: var(--text-error);
}

.tyui-input-group--success .tyui-input,
.tyui-input-group--success .tyui-select {
  border-color: var(--border-color-success);
}

.tyui-input-group--warning .tyui-input,
.tyui-input-group--warning .tyui-select {
  border-color: var(--border-color-warning);
}

.tyui-input-group--error .tyui-input,
.tyui-input-group--error .tyui-select {
  border-color: var(--border-color-error);
}
.tyui-input-group--success .tyui-form-message {
  color: var(--text-success);
}

.tyui-input-group--warning .tyui-form-message {
  color: var(--text-warning);
}

.tyui-input-group--error .tyui-form-message {
  color: var(--text-error);
}